U++ - Bug #1370
cmd.exe dosent’ apper when debugging with mingw debuger
01/16/2016 10:19 PM - Zbigniew Rebacz

Status: Approved Start date: 01/16/2016
Priority: High Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Release 2017.2 Spent time: 0.00 hour
Description

Reproducing:

1. Swith to Mingw build method.
2. Start debugin (CTRL + F5)
3. Result: no output

Related issues:
Duplicated by Feature # 1731: GDB - MingGW : Display output of target applica... Rejected 05/28/2017

History

#1 - 01/16/2016 10:19 PM - Zbigniew Rebacz

Tested on Windows 10.

#2 - 01/16/2016 10:21 PM - Zbigniew Rebacz

Instead of CTRL + F5 should be F5

#3 - 01/16/2016 10:23 PM - Zbigniew Rebacz

Forum disscusion url: http://www.ultimatepp.org/forums/index.php?t=msg&#38;90t0=45873&#38;#msg 45873

#4 - 02/05/2017 11:20 AM - Zbigniew Rebacz
- Target version changed from Release 2017.1 to Release 2017.2

#5 - 06/17/2017 10:32 PM - Zbigniew Rebacz

- Assignee changed from Miroslav Fidler to Abdelghani Omari

| tested this problem 3 weeks ago and it seems to disappear. Even "system("pause")" works with debugger. It should be fixed indirectly - but of course it is

good for us. Omari can you verify that terminal is open while debugging console apps?

You can simply compile one of Core example and add breakpoints in the code. The terminal should be displayed on the screen. Moreover, the

system("pause") should also works without breakpoints :)

#6 - 06/17/2017 10:33 PM - Zbigniew Rebacz
- Priority changed from Normal to High
http://www.ultimatepp.org/forums/index.php?t=msg&#38;goto=45873&#38;#msg_45873

Priority change to high due to impact on the end user of ThelDE.

#7 - 06/17/2017 10:34 PM - Zbigniew Rebacz
- Status changed from New to Ready for QA

#8 - 06/18/2017 07:20 AM - Abdelghani Omari
Test case:

- Env: Win7 pro, Upp 11171

- reference/BasicAlgo

- set a breakpoint at line 10

- start debug (F5)
Result:

- cmd.exe dosent' apper.

the feature #1731 is exactly for this issue.

#9 - 06/18/2017 02:51 PM - Zbigniew Rebacz

Ok - thanks for confiramtion - i will look into it.

#10 - 06/18/2017 02:52 PM - Zbigniew Rebacz
- Duplicated by Feature #1731: GDB - MingGW : Display output of target application in a separate console added

#11 - 06/18/2017 03:45 PM - Zbigniew Rebacz
- Status changed from Ready for QA to In Progress
- Assignee changed from Abdelghani Omari to Zbigniew Rebacz

#12 - 06/18/2017 03:56 PM - Zbigniew Rebacz

- Status changed from In Progress to Ready for CR
- Assignee changed from Zbigniew Rebacz to Abdelghani Omari

On the trunk under following commit: https://github.com/ultimatepp/mirror/commit/99e6b58972aa4cbc2cebcc3ffe4b8075a84f21ed. Omari please check

and let me know if it works like it should be. | tested and works well. Thanks for oustanding contribution!

#13 - 06/19/2017 02:29 AM - Abdelghani Omari

i will test with the next nightly build.

#14 - 06/19/2017 11:25 AM - Zbigniew Rebacz

| tested with Windows 7 - nightly builds and works fine.

#15 - 06/19/2017 07:12 PM - Abdelghani Omari
- Status changed from Ready for CR to Ready for QA

- Assignee changed from Abdelghani Omari to Zbigniew Rebacz
https://github.com/ultimatepp/mirror/commit/99e6b58972aa4cbc2ce6cc3ffe4b8075a84f21ed

Test OK. it works fine.

#16 - 06/19/2017 09:23 PM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved
